/*
Theme Name: JupiterX Child
Description: Jupiter X Child Theme
Author: Artbees
Author URI: https://jupiterx.com
Template: jupiterx
Version: 1.0.0
Text Domain: jupiterx
Domain Path: /languages
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

/* Add your custom CSS codes in assets/less/style.less */


body{padding: 0; margin: 0; box-sizing: border-box;}
*{padding: 0; margin: 0; -webkit-box-sizing: border-box;-moz-box-sizing: border-box;box-sizing: border-box;}
a,a:hover,a:focus,a:active , button{text-decoration:none !important; outline:none !important; -webkit-transition: all 0.3s ease-in-out; -moz-transition: all 0.3s ease-in-out; -o-transition: all 0.3s ease-in-out; transition: all 0.3s ease-in-out; word-break:break-word;}
p{padding:0 0 16px; margin:0;}
p:last-child{padding: 0; margin:0;}
p:last-of-type {padding: 0; margin:0;}
p:empty{padding:0; margin:0;}   
button:focus{border: none !important; outline: none;}
ul, ol{margin: 0; padding: 0 0 0 20px;}
h1, h2, h3, h4, h5, h6{margin: 0;}


.elementor-nav-menu .elementor-item{transition: 0.3s ease-in-out !important;}
body{padding-top: 178px !important;}
header.jupiterx-header{transition: 0.3s ease-in-out;}
header.jupiterx-header{position: fixed; width: 100%; top: 0; left: 0; z-index: 999; box-shadow: 0 5px 16px rgb(0 0 0 / 10%);}
body.sticky header.jupiterx-header{box-shadow: 0 5px 16px rgb(0 0 0 / 10%);}
.header-main > .e-con-inner{transition: 0.3s ease-in-out;}
/*body.sticky .header-main > .e-con-inner{padding-top: 20px !important; padding-bottom: 20px !important;}*/

.bnr-left-img{clip-path: polygon(0 0, 45% 0, 100% 100%, 0% 100%);}
.home-bnr-right{max-width: 870px; margin: 0 auto 0 0;}
.home-banner{position: relative;}
.home-banner:after{position: absolute; content: "" !important; background: url(./images/banner-bottom-shape.svg) center bottom no-repeat; width: 100%; bottom: -2px; left: 0; right: 0; padding-bottom: 16%; background-size: 100% auto;}


.home-blog .pp-post-content-wrap{position: relative;}
.home-blog .pp-post-content-wrap .pp-posts-button{position: absolute; top: 50%; transform: translateY(-50%); right: 8px;}
.home-blog .pp-posts-pagination{display: flex; flex-wrap: wrap; justify-content: center; gap:10px;}
.home-blog .pp-posts-pagination .page-numbers{width: 32px; height: 32px; min-width: 32px; display: flex; align-items: center; justify-content: center; line-height: 1; margin: 0;}

.subhero-review > .elementor-element{position:relative; width:auto;}
.subhero-review > .elementor-element:before{content:''; position:absolute; left:0; top:0; right:0; bottom:0; border-radius:8px 0 8px 0; transform:skewX(-35deg); background:linear-gradient(-99deg,rgba(182, 215, 255, 1) 0%, rgba(215, 232, 254, 1) 50%, rgba(239, 244, 253, 1) 100%);}
.subhero-review > .elementor-element .elementor-icon-list-item .elementor-icon-list-text{font-weight: 800;}


#jupiterx-main .service-sidebar .gform_wrapper .gform_fields{gap: 24px;}
#jupiterx-main .service-sidebar .gform_wrapper .gform_fields label.gfield_label{display: none;}
#jupiterx-main .service-sidebar .gform_wrapper .gform_fields input:not([type=checkbox]):not([type=radio]):not([type=file]),
#jupiterx-main .service-sidebar .gform_wrapper .gform_fields select,
#jupiterx-main .service-sidebar .gform_wrapper .gform_fields textarea{padding:20px; margin: 0; outline: none; border: none; box-shadow: none; background: #f6f8fa; height: 64px; border-radius: 8px; font-family: var( --e-global-typography-23383b9-font-family ), Sans-serif; font-weight: var( --e-global-typography-23383b9-font-weight ); line-height: normal; color: var( --e-global-color-2ac50b4 ); font-size: var(--e-global-typography-20937da-font-size);}
#jupiterx-main .service-sidebar .gform_wrapper .gform_fields textarea{height: 196px; display: block; resize: none;}

#jupiterx-main .service-sidebar .gform_wrapper .gform-footer{margin: 0; padding:32px 0 0;}
#jupiterx-main .service-sidebar .gform_wrapper .gform-footer input{margin: 0; display: block; width: 100%; text-align: center; font-family: var( --e-global-typography-23383b9-font-family ), Sans-serif; background: var(--e-global-color-primary); color: var(--e-global-color-2d01f3c); font-size: 16px; line-height: 1.2em; letter-spacing: 0.025em; font-weight: 800; text-transform: uppercase; border-radius:8px; border: none; outline: none; box-shadow: none; padding: 18px 24px; cursor: pointer; transition: all 0.3s;}
#jupiterx-main .service-sidebar .gform_wrapper .gform-footer input:hover{background: var( --e-global-color-accent );}

.sidebar-nav > .elementor-element > .pp-info-box-container .pp-info-box-icon{position: relative; z-index: 1;}
.sidebar-nav > .elementor-element > .pp-info-box-container .pp-info-box-icon:before{content: ''; position: absolute; left: 0; right: 0; top: 0; bottom: 0; background: linear-gradient(0deg,rgba(182, 215, 255, 1) 0%, rgba(215, 232, 254, 1) 50%, rgba(239, 244, 253, 1) 100%); border-radius: 100%; opacity: 0; visibility: hidden; transition: all 0.3s;}
.sidebar-nav > .elementor-element > .pp-info-box-container:hover .pp-info-box-icon:before{opacity: 1; visibility: visible;}


#jupiterx-main .sidebar-txt{position: relative; z-index: 1;}
#jupiterx-main .sidebar-txt:before{content: ''; position: absolute; left: -52px; right:  -52px; top: 0; bottom: 0; background: var( --e-global-color-secondary ); z-index: -1;}
#jupiterx-main .sidebar-txt > p:before{content: ''; position: absolute; left: -52px; bottom: -20px; width: 20px; aspect-ratio: 1; background: #6c0b01; clip-path: polygon(0 0,100% 0,100% 100%);}
#jupiterx-main .sidebar-txt > p:after{content: ''; position: absolute; right: -52px; bottom: -20px; width: 20px; aspect-ratio: 1; background: #6c0b01; clip-path: polygon(0 0,100% 0,0 100%);}


body.blog .foot-main > .e-con-inner,
body.single-post .foot-main > .e-con-inner,
body.archive .foot-main > .e-con-inner,
body.search .foot-main > .e-con-inner{padding-top: 0 !important;}


.blog-postcnt .elementor-element h2{font-size:var( --e-global-typography-primary-font-size ); margin:0; padding:0 0 0.8rem;}
.blog-postcnt .elementor-element p + h2,
.blog-postcnt .elementor-element ul + h2,
.blog-postcnt .elementor-element figure + h2{padding-top:0.5rem;}
.blog-postcnt .elementor-element h3{font-size:var( --e-global-typography-secondary-font-size ); margin:0; padding:0 0 0.8rem;}
.blog-postcnt .elementor-element p + h3,
.blog-postcnt .elementor-element ul + h3,
.blog-postcnt .elementor-element figure + h3{padding-top:0.5rem;}
.blog-postcnt .elementor-element ul{margin:0; padding:0 0 1rem 1.2rem;}
.blog-postcnt .elementor-element ul li::marker{color:var( --e-global-color-primary );}
.blog-postcnt .elementor-element figure{padding:0 0 1rem; margin:0;}
.blog-postcnt .elementor-element p + figure,
.blog-postcnt .elementor-element ul + figure{padding-top:0.5rem;}
.blog-postcnt .elementor-element p:last-child{margin-bottom:0;}
.blog-postcnt .elementor-element ul:last-child{padding-bottom:0;}
.blog-postcnt .elementor-element figure:last-child{padding-bottom:0;}
.blog-postcnt .elementor-element figure + p{padding-top:0.5rem;}

.blog-right > .elementor-element{display:flex; flex-direction:column; gap:32px;}
.blog-right > .elementor-element > .widget_block{box-shadow:0px 1px 40px 7px rgba(0, 0, 0, 0.14); border-radius:10px; padding:24px; background:#fff; margin:0;}
.blog-right > .elementor-element .wp-block-search__inside-wrapper{padding:4px; margin:0; border:solid 1px #c5c8d2; outline:none; display:flex; border-radius:8px;}
.blog-right > .elementor-element .wp-block-search__inside-wrapper input{outline:none; border:none; padding:8px 16px; width:calc(100% - 44px); height:auto; font-family:var( --e-global-typography-text-font-family ), Sans-serif; font-size:var( --e-global-typography-text-font-size ); line-height:normal; font-weight:normal;}
.blog-right > .elementor-element .wp-block-search__inside-wrapper button{height:44px; width:44px; border:none; padding:0; margin:0; background:var( --e-global-color-accent ); color:var( --e-global-color-2d01f3c ); border-radius:8px;}
.blog-right > .elementor-element .wp-block-search__inside-wrapper button:hover{background:var( --e-global-color-primary );}
.blog-right > .elementor-element .wp-block-heading{font-size:var( --e-global-typography-9162ea0-font-size ); margin:0; padding:0 0 0.8rem;}
.blog-right > .elementor-element ul{padding:0; margin:0; display:flex; flex-direction:column; gap:8px;}
.blog-right > .elementor-element ul li{margin:0; padding:8px 0 0; border-top:solid 1px #c5c8d2; font-size:var( --e-global-typography-text-font-size );}
.blog-right > .elementor-element ul li:first-child{border:none; padding:0;}
.blog-right > .elementor-element ul li a{color:var( --e-global-color-2ac50b4);}
.blog-right > .elementor-element ul li a:hover{color:var( --e-global-color-primary );}

.service-sidebar > .elementor-element{position:sticky; top:120px;}

.page-id-1641 .jupiterx-footer .foot-main > .e-con-inner,
.page-id-1621 .jupiterx-footer .foot-main > .e-con-inner,
.error404 .jupiterx-footer .foot-main > .e-con-inner{padding-top:0;}


.rev-topbox .pp-info-box-container{height:100%; overflow:hidden;}
.rev-topbox .pp-info-box-container .pp-info-box{display:flex; flex-direction:column-reverse; height:100%;}
.rev-topbox .pp-info-box-container .pp-info-box-icon-wrap{padding:24px; display:flex; flex-grow:1; align-items:center;}
.rev-topbox .pp-info-box-container .pp-info-box-icon-wrap .pp-info-box-icon{display:block;}
.rev-topbox .pp-info-box-container .pp-info-box-icon-wrap svg{max-height:48px; height:auto;}
.rev-topbox .pp-info-box-container .pp-info-box-title{background:var( --e-global-color-primary ); color:var( --e-global-color-2d01f3c ); padding:14px;}

.rev-btmbox .elementor-element .elementor-main-swiper.swiper{margin:0; width:100%;}
.rev-btmbox .elementor-element .elementor-main-swiper.swiper .swiper-wrapper{cursor: unset !important; transition-duration: unset !important; transform: unset !important; flex-wrap:wrap !important; gap:32px;}
.rev-btmbox .elementor-element .elementor-main-swiper.swiper .swiper-slide{width:calc((100% - 32px)/2) !important; margin:0 !important;}
.rev-btmbox .elementor-element .elementor-main-swiper.swiper .elementor-testimonial__header{align-items:center;}


.career-form form .gform_fields{gap:24px;}
.career-form form .gform_fields .gfield_html{font-family: var(--e-global-typography-primary-font-family), Sans-serif;font-size: var(--e-global-typography-secondary-font-size);font-weight: var(--e-global-typography-primary-font-weight);text-transform: var(--e-global-typography-primary-text-transform);line-height: var(--e-global-typography-primary-line-height);letter-spacing: var(--e-global-typography-primary-letter-spacing);color: var( --e-global-color-primary )}
.career-form form .gform_fields .gfield label.gfield_label.gform-field-label{font-family: var(--e-global-typography-23383b9-font-family), Sans-serif; font-size: var(--e-global-typography-23383b9-font-size);font-weight: var(--e-global-typography-23383b9-font-weight);text-transform: var(--e-global-typography-23383b9-text-transform);line-height: var(--e-global-typography-23383b9-line-height);letter-spacing: var(--e-global-typography-23383b9-letter-spacing); color: var(--e-global-color-d048278);}
.career-form form .gform_fields .gfield label.gfield_label.gform-field-label .gfield_required{display: none;}
.career-form form .gform_fields .gfield .ginput_container input:not([type=radio]):not([type=checkbox]),
.career-form form .gform_fields .gfield .ginput_container select,
.career-form form .gform_fields .gfield .ginput_container textarea{color: var(--e-global-color-2ac50b4); font-family: var(--e-global-typography-text-font-family), Sans-serif;font-size: var(--e-global-typography-text-font-size);font-weight: var(--e-global-typography-text-font-weight);line-height: var(--e-global-typography-text-line-height);letter-spacing: var(--e-global-typography-text-letter-spacing); height: auto; min-height: 1px; width: 100%; border: solid 1px var( --e-global-color-primary ); border-radius:0; outline:none; box-shadow:none;}
.career-form form .gform_fields .gfield .ginput_container textarea{resize:none;}
#jupiterx-main .career-form form .gform-footer input.button{margin: 0 !important; display: inline-block !important; text-align: center !important; font-family: var( --e-global-typography-23383b9-font-family ), Sans-serif !important; background: var( --e-global-color-a8c071b ); color !important: var(--e-global-color-2d01f3c); font-size: 16px !important; line-height: 1.2em !important; letter-spacing: 0.025em !important; font-weight: 800 !important; text-transform: uppercase !important; border-radius:8px !important; border: none !important; outline: none !important; box-shadow: none !important; padding: 18px 48px !important; cursor: pointer !important; transition: all 0.3s !important;}
#jupiterx-main .career-form form .gform-footer input.button:hover{background: var( --e-global-color-accent ) !important;}
.career-form .gform_confirmation_message{font-family: "Raleway", Sans-serif;font-size: 20px;font-weight: 500;text-transform: none;line-height: 1.2em;color: #171717;}

.career-form form .gform_fields .gfield_html.sub-hlable{font-size:var(--e-global-typography-23383b9-font-size); color:var(--e-global-color-2ac50b4);}

.contact-frm .career-form .gform_heading{display:none;}
.contact-frm .career-form form .gform_fields .gfield .ginput_container--name{gap:24px; margin:0;}
.contact-frm .career-form form .gform_fields .gfield .ginput_container--name > span{padding:0;}
.contact-frm .career-form form .gform_fields .gfield .ginput_container select{padding:16px 32px 16px 16px;}
.contact-frm .career-form form .gform_fields .gfield legend.gfield_label{font-family: var(--e-global-typography-23383b9-font-family), Sans-serif; font-size: var(--e-global-typography-23383b9-font-size);font-weight: var(--e-global-typography-23383b9-font-weight);text-transform: var(--e-global-typography-23383b9-text-transform);line-height: var(--e-global-typography-23383b9-line-height);letter-spacing: var(--e-global-typography-23383b9-letter-spacing); color: var(--e-global-color-d048278); margin:0;}
.contact-frm .career-form form .gform_fields .gfield .gfield_radio{flex-direction:unset; gap:24px; align-items:center;}
.contact-frm .career-form form .gform_fields .gfield .gfield_radio .gchoice{align-items:center;}
.contact-frm .career-form form .gform_fields .gfield .gfield_radio .gchoice input{border-radius:100%; outline:none; box-shadow:none; padding:0;}
.contact-frm .career-form form .gform_fields .gfield .gfield_radio .gchoice label{font-family: var(--e-global-typography-text-font-family), Sans-serif; font-size: var(--e-global-typography-text-font-size);font-weight: var(--e-global-typography-text-font-weight);text-transform: var(--e-global-typography-23383b9-text-transform);line-height: var(--e-global-typography-23383b9-line-height);letter-spacing: var(--e-global-typography-23383b9-letter-spacing); color: var(--e-global-color-d048278);}
.contact-frm .career-form form .gform_fields .gfield .ginput_container textarea{height:160px;}
.contact-frm .career-form form .gform_fields .gfield .ginput_container_address{gap:24px; margin:0;}
.contact-frm .career-form form .gform_fields .gfield .ginput_container_address > span{padding:0;}
.contact-frm .career-form form .gform_fields .gfield .ginput_container_address > span:not(.ginput_full){width:calc(50% - 12px);}

#jupiterx-main .grid-area ul.elementor-icon-list-items{display:grid; grid-template-columns:repeat(3, 1fr); gap:8px; margin:0;}
#jupiterx-main .grid-area ul.elementor-icon-list-items > li{padding:0; margin:0;}


@media only screen and (max-width: 1300px){
	.header-main .header-menu ul li a.elementor-item{font-size: 14px !important;}
	.header-main .header-menu .elementor-nav-menu .sub-arrow{padding: 4px !important;}
}


@media only screen and (max-width: 1200px){
	.header-main .header-menu ul li a.elementor-item{font-size: 11px !important;}
	/*#jupiterx-main .service-sidebar .gform_wrapper .gform-footer input{font-size: 24px;}*/
	
	
}


@media only screen and (max-width: 1024px){
	body{padding-top: 171px !important;}
	.bnr-left-img{clip-path:none;}
	#rmp-menu-title-424 .rmp-menu-title-image{height: auto !important; margin-bottom: 0 !important;}
	#rmp-menu-wrap-424 .rmp-menu-item-link{text-transform: uppercase !important;}
	#rmp_menu_trigger-424{top: 103px !important; right: 20px !important;}
	/*body.sticky #rmp_menu_trigger-424{top: 27px !important;}*/

	#jupiterx-main .sidebar-txt:before{left: -44px; right: -44px;}
	#jupiterx-main .sidebar-txt > p:before{left: -44px;}
	#jupiterx-main .sidebar-txt > p:after{right: -44px;}

	#jupiterx-main .service-sidebar,
	#jupiterx-main .service-rightcol{width: 100%;}

	header .header-btn .pp-buttons-group a.pp-button{border-radius: 0 !important;}
	#jupiterx-main .grid-area ul.elementor-icon-list-items{grid-template-columns:repeat(2, 1fr);}



}

@media only screen and (max-width: 768px){
	body{padding-top: 165px !important;}
	.ofcr-image{position: relative !important;}
	.home-blog .pp-post-content-wrap .pp-posts-button{position: relative; top: auto; transform: none; right: auto;}
	#jupiterx-main .service-sidebar .gform_wrapper .gform-footer input{font-size: 18px;}

	#jupiterx-main .service-sidebar .gform_wrapper .gform_fields input:not([type=checkbox]):not([type=radio]):not([type=file]),
	#jupiterx-main .service-sidebar .gform_wrapper .gform_fields select,
	#jupiterx-main .service-sidebar .gform_wrapper .gform_fields textarea{height: 54px; padding: 14px 20px;}
	#jupiterx-main .service-sidebar .gform_wrapper .gform_fields textarea{height: 140px; padding: 20px;}
	
	#rmp_menu_trigger-424{top: 97px !important;}
	
	.rev-btmbox .elementor-element .elementor-main-swiper.swiper .swiper-slide{width:100% !important;}

}

@media only screen and (max-width: 640px){
.contact-frm .career-form form .gform_fields .gfield .ginput_container_address > span:not(.ginput_full){width:100%;}
}

@media only screen and (max-width: 574px){
.subhero-review > .elementor-element{max-width: 320px;}
.subhero-review > .elementor-element:before{transform:skewX(-24deg);}
}